Introduction
============

- [Overview](overview.md)

Getting started
===============

- [Installation](installation.md)
- [Bootstrap with Yii](bootstrap.md)
- [Configuration](configuration.md)

Base concepts
=============

- [MVC Overview](mvc.md)
- [Model](model.md)
- [View](view.md)
- [Controller](controller.md)
- [Application](application.md)

Database
========

- [Basics](database-basics.md)
- [Query Builder](query-builder.md)
- [ActiveRecord](active-record.md)
- [Database Migration](migration.md)

Extensions
==========

- [Extending Yii](extension.md)
- [Using template engines](template.md)

Security and access control
===========================

- [Authentication](authentication.md)
- [Authorization](authorization.md)
- [Security](security.md)
- Role based access control

Data providers, lists and grids
===============================

- Overview
- Data providers
- Grids
- Lists

Toolbox
=======

- [Automatic Code Generation](gii.md)
- [Debug toolbar and debugger](debugger.md)
- [Error Handling](error.md)
- [Logging](logging.md)

Application templates
=====================

- [Basic](application-basic.md)
- [Advanced](application-advanced.md)
- [Creating your own application template](application-own.md)

More
====

- [Bootstrap widgets](bootstrap-widgets.md)
- [Form](form.md)
- [Model validation reference](validation.md)
- [Caching](caching.md)
- [Internationalization](i18n.md)
- [URL Management](url.md)
- [Theming](theming.md)
- [Console Application](console.md)
- [Performance Tuning](performance.md)
- [Testing](testing.md)
- [Upgrading from 1.1 to 2.0](upgrade-from-v1.md)
